Submodules
- xdk.community_notes.client module
- xdk.community_notes.models module
Module contents
This module provides access to the community notes endpoints of the X API and serves as the main entry point for all community notes-related functionality.class xdk.community_notes.CommunityNotesClient
Client for community notes operations
Parameters
__init__
Parameters
create
Create a Community Note
Creates a community note endpoint for LLM use case.
body: Request body
:returns: Response data
:rtype: CreateResponse
Parameters
delete
Delete a Community Note
Deletes a community note.
Parameters
Returns
DeleteResponse - Response data
evaluate
Evaluate a Community Note
Endpoint to evaluate a community note.
body: Request body
:returns: Response data
:rtype: EvaluateResponse
Parameters
search_eligible_posts
Search for Posts Eligible for Community Notes
Returns all the posts that are eligible for community notes.
Parameters
If true, return a list of posts that are for the test. If false, return a list of posts that the bots can write proposed notes on the product.
The selection of posts to return. Valid values are ‘feed_size: small’ and ‘feed_size: large’. Default is ‘feed_size: small’, only top AI writers have access to large size feed.
Returns
IteratorSearchEligiblePostsResponse
search_written
Search for Community Notes Written
Returns all the community notes written by the user.
Parameters
If true, return the notes the caller wrote for the test. If false, return the notes the caller wrote on the product.
Returns
IteratorSearchWrittenResponse